Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## dan200.turtle.api
Enum TurtleVerb

    java.lang.Object
      java.lang.Enum<TurtleVerb>
          dan200.turtle.api.TurtleVerb

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<TurtleVerb>

    public enum TurtleVerb

extends java.lang.Enum<TurtleVerb>

An enum representing the two different actions that an ITurtleUpgrade of type Tool may be called on to perform by a turtle.

See Also:
  `ITurtleUpgrade`, `ITurtleUpgrade.useTool(dan200.turtle.api.ITurtleAccess, dan200.turtle.api.TurtleSide, dan200.turtle.api.TurtleVerb, int)`

Enum Constant Summary
`Attack` The turtle called turtle.attack(), turtle.attackUp() or turtle.attackDown()
`Dig` The turtle called turtle.dig(), turtle.digUp() or turtle.digDown()

Method Summary
`static TurtleVerb` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static TurtleVerb[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### Dig

    public static final TurtleVerb Dig

  The turtle called turtle.dig(), turtle.digUp() or turtle.digDown()

### Attack

    public static final TurtleVerb Attack

  The turtle called turtle.attack(), turtle.attackUp() or turtle.attackDown()

Method Detail

### values

    public static TurtleVerb[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (TurtleVerb c : TurtleVerb.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static TurtleVerb valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD